wxsqlite3opt.h File Reference

## Macros

#define | wxUSE_DYNAMIC_SQLITE3_LOAD 0
#define | WXSQLITE3_USER_AUTHENTICATION 0
#define | WXSQLITE3_HAVE_LOAD_EXTENSION 0
#define | WXSQLITE3_USE_NAMED_COLLECTIONS 1

## Detailed Description

Compile time switches for the wxSQLite3 class

## Macro Definition Documentation

## WXSQLITE3_HAVE_LOAD_EXTENSION

#define WXSQLITE3_HAVE_LOAD_EXTENSION 0

To enable SQLite's database encryption support define WXSQLITE3_HAVE_CODEC as 1 here. Attention: SQLite needs to be compiled with SQLITE_HAS_CODEC for this to work To enable SQLite's loadable extension feature define WXSQLITE3_HAVE_LOAD_EXTENSION as 1 here. Attention: SQLite needs to be compiled without SQLITE_OMIT_LOAD_EXTENSION for this to work

## WXSQLITE3_USE_NAMED_COLLECTIONS

#define WXSQLITE3_USE_NAMED_COLLECTIONS 1

To disable support for named collections define WXSQLITE3_USE_NAMED_COLLECTIONS as 0 here. Attention: if WXSQLITE3_USE_NAMED_COLLECTIONS is defined as 1 (default) SQLite needs to be compiled without SQLITE_OMIT_VIRTUALTABLE for this to work

## WXSQLITE3_USER_AUTHENTICATION

#define WXSQLITE3_USER_AUTHENTICATION 0

To enable SQLite's meta data methods define WXSQLITE3_HAVE_METADATA as 1 here. Attention: SQLite needs to be compiled with SQLITE_ENABLE_COLUMN_METADATA for this to work To enable SQLite's user authentication define WXSQLITE3_USER_AUTHENTICATION as 1 here. Attention: SQLite needs to be compiled with SQLITE_USER_AUTHENTICATION for this to work

## wxUSE_DYNAMIC_SQLITE3_LOAD

#define wxUSE_DYNAMIC_SQLITE3_LOAD 0

If this define is set to 1, then the SQLite library will be loaded dynamically otherwise a link library is required to build wxSQLite3.